{
    "name": "enketo-express",
    "description": "Webforms evolved.",
    "homepage": "https://enketo.org",
    "version": "1.81.1",
    "main": "./app.js",
    "engines": {
        "node": "4.4.x",
        "npm": "2.14.x"
    },
    "repository": {
        "type": "git",
        "url": "https://github.com/kobotoolbox/enketo-express"
    },
    "author": {
        "name": "Martijn van de Rijdt",
        "email": "martijn@enketo.org",
        "url": "https://www.linkedin.com/in/martijnvanderijdt"
    },
    "contributors": [],
    "scripts": {
        "start": "node .",
        "test": "grunt test",
        "postinstall": "grunt",
        "beautify": "grunt jsbeautifier:fix",
        "build-docs": "rimraf docs && ./node_modules/.bin/jsdoc -c jsdoc.config.js"
    },
    "private": true,
    "license": "Apache-2.0",
    "dependencies": {
        "@babel/cli": "^7.1.2",
        "@babel/core": "^7.1.2",
        "@babel/polyfill": "^7.0.0",
        "@babel/preset-env": "^7.1.0",
        "aliasify": "2.1.x",
        "babelify": "^10.0.0",
        "basic-auth": "2.0.x",
        "body-parser": "1.x.x",
        "bristol": "0.4.x",
        "busboy": "0.3.x",
        "compression": "1.x.x",
        "cookie-parser": "1.4.x",
        "core-js": "^3.2.1",
        "csurf": "1.10.x",
        "db.js": "0.15.0",
        "debug": "4.1.x",
        "enketo-core": "5.9.0",
        "enketo-transformer": "1.35.0",
        "express": "4.x.x",
        "grunt": "^1.0.3",
        "grunt-env": "1.0.x",
        "grunt-i18next": "0.2.x",
        "grunt-sass": "3.1.x",
        "grunt-shell-spawn": "0.4.x",
        "grunt-terser": "1.0.x",
        "i18next": "17.3.x",
        "i18next-browser-languagedetector": "4.0.x",
        "i18next-express-middleware": "^1.0.9",
        "i18next-node-fs-backend": "2.1.x",
        "i18next-xhr-backend": "3.2.x",
        "jquery": "^3.4.1",
        "jstransformer-markdown-it": "^2.1.0",
        "jszip": "^3.1.5",
        "jwt-simple": "0.5.x",
        "libxslt": "0.6.5",
        "load-grunt-tasks": "5.x.x",
        "lodash": "^4.17.15",
        "morgan": "1.x.x",
        "node-forge": "^0.7.6",
        "node-sass": "^4.9.2",
        "papaparse": "4.6.x",
        "pug": "2.0.4",
        "puppeteer": "^1.2.0",
        "redis": "2.8.0",
        "request": "2.88.x",
        "rollup": "1.25.x",
        "rollup-plugin-alias": "2.2.x",
        "rollup-plugin-commonjs": "10.1.x",
        "rollup-plugin-istanbul": "^2.0.1",
        "rollup-plugin-json": "4.x.x",
        "rollup-plugin-node-builtins": "^2.1.2",
        "rollup-plugin-node-globals": "^1.4.0",
        "rollup-plugin-node-resolve": "5.2.x",
        "serve-favicon": "2.x.x",
        "time-grunt": "2.x.x",
        "valid-url": "^1.0.9",
        "vex-dialog-enketo": "github:enketo/vex-dialog.git#b6e0f01",
        "vex-js": "4.1.x",
        "xml2js": "0.4.x"
    },
    "devDependencies": {
        "chai": "4.2.x",
        "chai-as-promised": "*",
        "docdash": "^1.1.1",
        "eslint-plugin-jsdoc": "^15.8.0",
        "grunt-concurrent": "3.x.x",
        "grunt-contrib-watch": "1.1.x",
        "grunt-eslint": "22.x.x",
        "grunt-jsbeautifier": "0.2.x",
        "grunt-karma": "3.0.x",
        "grunt-mocha-test": "0.13.x",
        "grunt-nodemon": "0.4.x",
        "grunt-simple-nyc": "^3.0.0",
        "gulp": "4.0.x",
        "i18next-parser": "0.13.0",
        "istanbul": "^0.4.5",
        "istanbul-reporter-shield-badge": "^1.2.0",
        "jsdoc": "^3.6.3",
        "karma": "4.4.x",
        "karma-chrome-launcher": "3.1.x",
        "karma-coverage": "^1.1.2",
        "karma-firefox-launcher": "1.2.x",
        "karma-mocha": "1.3.x",
        "karma-opera-launcher": "1.0.x",
        "karma-rollup-preprocessor": "7.x.x",
        "karma-safari-launcher": "1.0.x",
        "karma-sinon-chai": "2.0.x",
        "mocha": "6.2.x",
        "nock": "^11.3.4",
        "rimraf": "^3.0.0",
        "sinon": "7.5.x",
        "sinon-chai": "3.3.x",
        "supertest": "4.0.x"
    },
    "browser": {
        "enketo/config": "./public/js/build/client-config",
        "enketo/widgets": "./public/js/build/widgets",
        "enketo/translator": "./public/js/src/module/translator",
        "enketo/dialog": "./public/js/src/module/gui",
        "enketo/file-manager": "./public/js/src/module/file-manager"
    },
    "entries": [
        "public/js/src/enketo-webform.js",
        "public/js/src/enketo-webform-edit.js",
        "public/js/src/enketo-webform-view.js",
        "public/js/src/enketo-offline-fallback.js"
    ]
}
